%define nam		k3b
%define ver		0.11.9
%define rel		6AX

%define i18n_ver	0.11

Summary:	CD-Burner for KDE3
Name:		%{nam}
Version:	%{ver}
Release:	%{rel}
License:	GPL
URL:		http://www.k3b.org/
Group:		Applications/Archiving
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-i18n-%{i18n_ver}.tar.bz2
Source2:	k3b-zh_CN.po
Source3:	k3b-ja.po

# Added CJK encoding to mkisofs options.
Patch1:		k3b-0.10.3-charsets.patch

Patch10:	k3b-0.9-service-ja.patch
Patch11:        k3b-0.11.9-desktop.patch

Requires:	cdrecord XFree86 kdelibs >= 3.1 cdrdao >= 1.1 arts
Requires:	dvd+rw-tools >= 5
Requires:	qt >= 3.1
Requires:	libogg libvorbis zlib
BuildRequires:	XFree86-devel kdelibs-devel >= 3.1 arts-devel
BuildRequires:	libvorbis-devel libogg-devel zlib-devel
BuildRequires:	audiofile-devel qt qt-devel
BuildRequires:	libogg-devel libvorbis-devel zlib-devel

%description
K3b - The CD Creator - Writing cds under linux made easy.

%prep
%setup -q -b 1 -D -q

%patch1 -p1 -b .charsets
%patch10 -p1 -b .service-ja
%patch11 -p1 -b .desktop

rm -f %{_builddir}/%{name}-i18n-%{i18n_ver}/po/zh_CN/k3b.po
rm -f %{_builddir}/%{name}-i18n-%{i18n_ver}/po/ja/k3b.po
cp -f %{SOURCE2} %{_builddir}/%{name}-i18n-%{i18n_ver}/po/zh_CN/k3b.po
cp -f %{SOURCE3} %{_builddir}/%{name}-i18n-%{i18n_ver}/po/ja/k3b.po

%build

if [ -f admin/Makefile.common ]; then
 perl -pi -e 's/head -([1-9])/head -n $1/go' admin/*
 WANT_AUTOCONF_2_5=1 make -f admin/Makefile.common
fi
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
                 --prefix=%{_prefix}

make %{?_smp_mflags}

# k3b-i18n
( cd %{_builddir}/%{name}-i18n-%{i18n_ver}
  ./configure --prefix=%{_prefix}
  %__make
)

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

# k3b-i18n
( cd %{_builddir}/%{name}-i18n-%{i18n_ver}
  make DESTDIR=$RPM_BUILD_ROOT install
)

# KDE menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/Utilities/
mv $RPM_BUILD_ROOT%{_datadir}/applnk/Multimedia/*.desktop \
   $RPM_BUILD_ROOT%{_datadir}/applnk/Applications/Utilities/
rm -rf $RPM_BUILD_ROOT%{_datadir}/applnk/Settings \
       $RPM_BUILD_ROOT%{_datadir}/applnk/Multimedia

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%{_bindir}/k3b
%{_includedir}/*.h
%{_libdir}/*
%{_datadir}/applnk/Applications/Utilities/k3b.desktop
%{_datadir}/applnk/.hidden/k3b-cue.desktop
%{_datadir}/applnk/.hidden/k3b-iso.desktop
%dir %{_datadir}/apps/k3b
%{_datadir}/apps/k3b/cdi/*
%{_datadir}/apps/k3b/eventsrc
%{_datadir}/apps/k3b/icons/*
%{_datadir}/apps/k3b/k3bui.rc
%{_datadir}/apps/k3b/pics/*
%{_datadir}/apps/konqueror/servicemenus/*
%{_datadir}/apps/k3b/kpartplugins/k3baudiometainforenamerplugin.rc
%{_datadir}/apps/k3b/plugins/*
%{_datadir}/apps/k3b/tips
%{_datadir}/icons/crystalsvg/*
%{_datadir}/mimelnk/application/*
%{_datadir}/locale/*/LC_MESSAGES/*
%{_datadir}/sounds/*

%changelog
* Fri Jun 11 2004 Yasuma Takeda <yasuma@miraclelinux.com> 0.11.9-6AX
- fix menu title

* Thu Jun 10 2004 Yasuma Takeda <yasuma@miraclelinux.com> 0.11.9-5AX
- fixed menu of k3bsetup2
- fixed mimelnk

* Tue Jun  8 2004 Shiro Yamada <shiro@miraclelinux.com> 0.11-9.4AX
- fixed k3bsetup2 menu

* Tue May 25 2004 Shiro Yamada <shiro@miraclelinux.com> 0.11.9-3AX
- changed the locations of KDE menu

* Fri Apr  9 2004 Shiro Yamada <shiro@miraclelinux.com> 0.11.9-2AX
- upgraded the code base to 0.11.9
- incorporated the i18n messages

* Thu Jan 15 2004 Noriyuki Suzuki <noriyuki@turbolinux.co.jp>
- removed conflict files.

* Thu Dec 25 2003 Noriyuki Suzuki <noriyuki@turbolinux.co.jp>
- updated ja.po

* Tue Dec 23 2003 James Su <suzhe@turbolinux.com.cn>
- updated zh_CN.po
- applied charsets.patch, plain-atapi.patch

* Mon Dec 22 2003 James Su <suzhe@turbolinux.com.cn>
- upto 0.10.3

* Fri Nov 14 2003 Noriyuki Suzuki <noriyuki@turbolinux.co.jp>
- 1.10.2
- DVD writing support with the DVD+RW-tools
- Added CD-TEXT reading 

* Fri Sep  5 2003 Toshihiro Yamagishi <toshihiro@turbolinux.co.jp>
- added service-ja patch

* Thu Aug  5 2003 Noriyuki Suzuki <noriyuki@turbolinux.co.jp>
- added --disable-warnings flag.
- edit menu entry.

* Thu Jul 31 2003 Toshihiro Yamagishi<toshihiro@turbolinux.co.jp>
- fixed head command option

* Tue Jul 29 2003 Noriyuki Suzuki <noriyuki@turbolinux.co.jp>
- version 0.9 with i18n package.

* Fri Jun 27 2003 Noriyuki Suzuki <noriyuki@turbolinux.co.jp>
- version 0.9pre2
